/*
 * ServicePort.h
 *
 *  Created on: Jan 28, 2012
 *      Author: RomanM
 */

#ifndef SERVICEPORT_H_
#define SERVICEPORT_H_

void Service_Login(int argc, char *argv[]);
void Service_Exit(int argc, char *argv[]);

void Service_Help(int argc, char *argv[]);

void Service_Setting(int argc, char *argv[]);
void Service_SetDoorTime(int argc, char *argv[]);
void Service_GetDoorTime(int argc, char *argv[]);
void Service_SetLockVoltage(int argc, char *argv[]);
void Service_GetLockVoltage(int argc, char *argv[]);
void Service_SensorCalibration(int argc, char *argv[]);

void Service_SetTime(int argc, char *argv[]);
void Service_GetTime(int argc, char *argv[]);

void Service_SetIP(int argc, char *argv[]);
void Service_GetIP(int argc, char *argv[]);
void Service_EthStat(int argc, char *argv[]);

void Service_SetName(int argc, char *argv[]);
void Service_GetName(int argc, char *argv[]);

void Service_SetPassword(int argc, char *argv[]);

void Service_Reset(int argc, char *argv[]);

#endif /* SERVICEPORT_H_ */
